Subject: [os2genau_digest] No. 1062
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 27 Feb 2005 00:01:13 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 26 February 2005
 Number  1062
**************************************************

Subjects for today
 
1  Re:  Success : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re:  Success : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
3  Re:  Cable Select  was:- Success : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
4  Re:  Success : Kev <kdownes at tpg dot com dot au>
5  Re:  OT - BTRIEVE ( OT: Windows Mouse actions) : Alan Heiser" <aheiser at ozemail dot com dot au>
6  Re:  Success : Alan Duval <amoht at ozemail dot com dot au>
7  Re:  Cable Select  was:- Success : Ed Durrant <edurrant at bigpond dot net dot au>
8  Re:  Chipsets : Alan Duval <amoht at ozemail dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 26 Feb 2005 08:15:38 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Success

Alan Duval wrote:
> Hi,
> 
> Well i've got WIN XP installed without destroying eCS.  Deleted WIN 95 
> and installed WIN XP  in that partition ( C ).
> 
> Had a lot of trouble with my hardware however. I think my MB or BIOS 
> must be at it's limit. I disconnected HDD 2 & 3 for pre run and when 
> reconnected, the BIOS couldn't detect any HDD, which panicked me.
> 
> Even got a computer repairer to try to fix it but he couldn't . Said my 
> 5 yr. old system was too old and it would be better to buy a new 
> computer. Had been going alright till then so I thought that the BIOS 
> was probably having difficulty seeing two 40G & one 20G drives .
> 
> Decided to wait a day or so and try again. To my joy the 3 HDD's were 
> detected and I was able to install WIN XP after extensive backups in 
> case anything happened as I disconnected drives 2 & 3 to do this.
> 
> After installation WIN XP booted OK. Then I activated BMG by going to 
> LVM via the eCS installation disk. Then reconnected HDD 2 & 3 and again 
> no drives could be detected. Then disconnected drive 3 and retried. HDD 
> 2 & 3 were detected , so I booted eCS and later WIN XP then shut down 
> and reconnected HDD 3. Rebooted and all drives were detected so i've got 
> a going system again.
> 
> Can't say that WIN XP thrills me and probably the programs I have used 
> on WIN 95 won't run on it. I mainly got it just in case I have trouble 
> using a DVD burner which is my next project. However Kev seems to know 
> how to set up RSJ so I have high hopes.
> 
> Regards
> 
> Alan
> 

Apologies if you already know this, but I suspect the problem you have 
seen may be to do with the settings on the drives and possible 
incompatibilities between the drives rather than your system BIOS. I'm 
presuming these are all IDE drives. So you need to set them as master or 
slave on the appropraite IDE controller (primary or secondary). Some 
drives have an option documented as "only" most have only Master, Slave 
and cable select - DO NOT USE cable select !! - it never works. The best 
configuration for you would be to have your drives as master drive and 
slave drive on IDE controller 1 and master on IDE controller 2 with your 
CD-Rom drive as slave on IDE 2. Be carefull however as you cannot simply 
swop them around as the drive letters will change (if your using LVM you 
may be OK, I haven't tried this). Also as I said, some of the older 
drives are not compatible with other makes. So a maxtor may refuse to 
work reliably as a slave drive when the master is a samsung drive (or 
even a different maxtor drive). Please note I just took Samsung and 
Maxtor as examples - the problems 5 years ago spread across various 
makes including all the usual makes, seagate, IBM, NEC etc. etc.

If you want to track down the problem, to stop it happenning again, you 
need to be able to specify what you changed between your having a stable 
working system and your problems occuring and see if any of the 
suggestions above relate to any of the changes.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 26 Feb 2005 09:25:54 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  Success

Hi Alan,

In addition to Ed's comments I would also point out that older motherboards
were also known to have different chipsets on each of the two IDE channels.

Most manufacturers assumed that people would only put hard drives on the 
first IDE channel and CD/Zips etc on the second, so they saved a few cents
by fitting a dumbed down chipset to support the second IDE channel.

As a result the ability of the second channel to support IDE drives is 
severly limited, but not impossible.  On an old board I had, I had to
put the smallest hard drive on the second channel as master to the
cd-rom slave drive. I also found that the board was totally incapable
of supporting FOUR hard drives.

The motherboard of mine at that time was a giga-byte 586HX, from memory.

HTH,
Regards,
Robert Traynor (BobT).
26 February 2005   9:23

On Fri, 25 Feb 2005 22:41:47 +0000, Alan Duval wrote:
> Hi,
> 
> Well i've got WIN XP installed without destroying eCS.  Deleted WIN 95 
> and installed WIN XP  in that partition ( C ).
> 
> Had a lot of trouble with my hardware however. I think my MB or BIOS 
> must be at it's limit. I disconnected HDD 2 & 3 for pre run and when 
> reconnected, the BIOS couldn't detect any HDD, which panicked me.
>  
> Even got a computer repairer to try to fix it but he couldn't . Said my 
> 5 yr. old system was too old and it would be better to buy a new 
> computer. Had been going alright till then so I thought that the BIOS 
> was probably having difficulty seeing two 40G & one 20G drives .
> 
> Decided to wait a day or so and try again. To my joy the 3 HDD's were 
> detected and I was able to install WIN XP after extensive backups in 
> case anything happened as I disconnected drives 2 & 3 to do this.
> 
> After installation WIN XP booted OK. Then I activated BMG by going to 
> LVM via the eCS installation disk. Then reconnected HDD 2 & 3 and again 
> no drives could be detected. Then disconnected drive 3 and retried. HDD 
> 2 & 3 were detected , so I booted eCS and later WIN XP then shut down 
> and reconnected HDD 3. Rebooted and all drives were detected so i've got 
> a going system again.
> 
> Can't say that WIN XP thrills me and probably the programs I have used 
> on WIN 95 won't run on it. I mainly got it just in case I have trouble 
> using a DVD burner which is my next project. However Kev seems to know 
> how to set up RSJ so I have high hopes.
> 
> Regards
> 
> Alan

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 26 Feb 2005 13:01:11 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  Cable Select  was:- Success

On Sat, 26 Feb 2005 08:15:38 +1100, Ed Durrant wrote:

<SNIP> 
> Some 
> drives have an option documented as "only" most have only Master, Slave 
> and cable select - DO NOT USE cable select !! - it never works.

<SNIP>

> Cheers/2
> 
> Ed.

Hi Ed,

I disagree, Cable Select does work.!

I am running two Pentium 4 systems and one Pentium 3 and ALL are
on cable select.  To work, you must have a good motherboard AND
an 80 wire IDE cable. All computers here have two hard drives on
the first IDE channel and Cable Select works perfectly.

My Pentium 3 has been using Cable Select for about 4 years and no 
problems with ANY operating system.  The Pentium 4's have been
for almost 2 years.

Under Cable Select, the master or "primary" is the drive on the end of the
cable and the slave or "secondary" is the drive  on the connector closest to
the motherboard.

The advantage is that when I want to backup a hard drive with 
DriveImage 6.01 or Acronis 8.0 to my backup drives, I do not have to 
fiddle with the master/slave jumpers on the drives.

I just reconnect the 80 wire round cable how I want it to be and reboot.

I don't know wether this is relevant but all my drives are and have been 
for 5 plus years, Seagate IDE drives.  Though I must admit, I have not 
had much luck with using Cable Select on CD/DVD/Zip devices and still use
Master/Slave jumper setting for them.

Of course YMMV,
Regards,
Robert Traynor (BobT).
26 February 2005   12:55

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 26 Feb 2005 15:36:06 +0800
From:  Kev <kdownes at tpg dot com dot au>
Subject:  Re:  Success

Hi Alan

Alan Duval wrote:

> I mainly got it just in case I have trouble 
> using a DVD burner which is my next project. However Kev seems to know 
> how to set up RSJ so I have high hopes.

Cor, mate.  All the discussion around this subject just recently was the 
1st time I found out that I'm the only one achieving that level of 
success.  As for knowing how to set up RSJ - I just install it and it 
works for me.  I do hope it's that easy for you.

Kev
=========================
Kev Downes
kdownes at tpg dot com dot au  ph 0404 7 0808 2
Windows isn't the answer. Windows is the question. The answer is NO!
I use, recommend and support OS/2 Warp and eComStation.
=========================
"Jesus Christ is the centre of everything and the object of everything;
He who does not know him, knows nothing of the order of the world
and nothing of himself."             Blaise Pascal
=========================
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sat, 26 Feb 2005 19:04:59 +1000
From:  "Alan Heiser" <aheiser at ozemail dot com dot au>
Subject:  Re:  OT - BTRIEVE ( OT: Windows Mouse actions)

John

Don't really mind - as long as I can get into the data and start fiddling
the books <g>

Alan

-----Original Message-----
From: John Angelico [mailto:talldad at kepl dot com dot au] 
Sent: Friday, 25 February 2005 5:02 PM
To: os2genau at os2 dot org dot au
Subject: Re:  OT - BTRIEVE ( OT: Windows Mouse actions)

On Fri, 25 Feb 2005 10:15:00 +1000, Alan Heiser wrote:

>If anyone on this list does have a btrieve toolkit, I would love to hear
>from them.
>We have just converted NT4 Peer to Peer Network to Windows 2003 SBS with XP
>on each desk.

Are you meaning the Win toolkit?

We have "only" <g> the OS/2 gear, which took a long time to find, courtesy
of
a highly intelligent life-form aka OS/2 programmer! 

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... Name:3:^:3:3[3:]3] Rank:^:3:[3:^3: Serial No:3:^:]3:]:3
----------------------------------------------------------------------------
------

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Sat, 26 Feb 2005 21:52:05 +0000
From:  Alan Duval <amoht at ozemail dot com dot au>
Subject:  Re:  Success

Ed Durrant wrote:

>>
>> Apologies if you already know this, but I suspect the problem you 
>> have seen may be to do with the settings on the drives and possible 
>> incompatibilities between the drives rather than your system BIOS. 
>> I'm presuming these are all IDE drives. 
>
Yes; all are IDE drives.

>> So you need to set them as master or slave on the appropraite IDE 
>> controller (primary or secondary). Some drives have an option 
>> documented as "only" most have only Master, Slave and cable select - 
>> DO NOT USE cable select !! - it never works. 
>
No, I didn't select 'Cable select' with the jumpers.

>> The best configuration for you would be to have your drives as master 
>> drive and slave drive on IDE controller 1 and master on IDE 
>> controller 2 with your CD-Rom drive as slave on IDE 2. 
>
That is my setup.

>> Be carefull however as you cannot simply swop them around as the 
>> drive letters will change (if your using LVM you may be OK, I haven't 
>> tried this). Also as I said, some of the older drives are not 
>> compatible with other makes. So a maxtor may refuse to work reliably 
>> as a slave drive when the master is a samsung drive (or even a 
>> different maxtor drive). Please note I just took Samsung and Maxtor 
>> as examples - the problems 5 years ago spread across various makes 
>> including all the usual makes, seagate, IBM, NEC etc. etc. 
>
I didn't swap any drives around.

>>
>
> If you want to track down the problem, to stop it happenning again, 
> you need to be able to specify what you changed between your having a 
> stable working system and your problems occuring and see if any of the 
> suggestions above relate to any of the changes.
>
OK; here's my setup and what I did.

ASUS  P3V133 motherboard.
Pentium III   733 CPU
3 IDE HDD's
1.   Quantum 40G Primary (Was installed a couple of months ago by local 
PC shop when previous one failed)
2.   Quantum 40G slave  (I installed this last week after previous one 
failed) All jumpers removed as  they were in previous HDD and on advice 
from local PC shop. Worked OK for the week prior to recent troubles.
3.   Maxtor 20G secondary HDD. Has been installed for a couple of years.
4.   Sony CD reader as slave. Has been installed a few years.

As I wanted to install WIN XP on HDD 1 and was afraid of it affecting 
eCS on HDD 2 or my backups on HDD 3, I decided the best thing to do 
would be to disable HDD's 2 & 3.
I went into BIOS and changed the HDD detection from AUTO to NONE for HDD 
3. Rebooted and noted that boot screens showed HDD 3 not detected.
Then changed HDD detection  from AUTO to NONE for HDD 2. Rebooted and 
noted that boot screens showed only HDD 1 detected. Booted to WIN 95 and 
opened Partition Magic 5 and noted that it could only see HDD 1. As 
additional check opened WIN Explorer and to my surprise noted that WIN 
could see partitions on HDD 2 & 3 ?????????
This astounded me and I wondered whether WIN could manipulate the BIOS. 
I thought I would see what would happen if I changed HDD detection in 
BIOS from AUTO to NONE for  HDD 1 also. As expected no HDD's were 
detected and I couldn't boot. Then changed all HDD detection settings 
back to AUTO and rebooted.

That's when things went wrong and no HDD's were detected. Nothing I did 
could get the BIOS to detect any HDD. Called in the local computer 
repairer. He checked the BIOS and tried resetting BIOS but to no avail. 
Said system was too old and that I would be advised to buy a new 
computer. When you're retired you have to watch expenses, so I wasn't 
keen on this.

Left things  alone for a day then tried booting again. This time all 
HDD's were detected, and I backed up extensively, physically 
disconnected HDD's 2 & 3  ; installed WIN XP to remaining HDD 1 and was 
able to boot to it. Closed WIN XP and used eCS CD to go to LVM to set 
Boot Mgr. active. Rebooted and was able to open a copy of eCS  as well 
as WIN XP on HDD 1.

Reconnected HDD's 2 & 3 . Rebooted but no HDD's  detected again. 
Physically disconnected HDD 3 and rebooted. This time HDD's 1 & 2 
detected and I was able to boot to my eCS on HDD 2 as well as WIN XP on 
HDD 1. Closed and reconnected HDD 3. Rebooted and all HDD's detected and 
continuing to do so.
It's got me mystified.

Regards

Alan

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Sat, 26 Feb 2005 22:14:32 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Cable Select  was:- Success

Robert Traynor (BobT) wrote:
> On Sat, 26 Feb 2005 08:15:38 +1100, Ed Durrant wrote:
> 
> <SNIP> 
> 
>>Some 
>>drives have an option documented as "only" most have only Master, Slave 
>>and cable select - DO NOT USE cable select !! - it never works.
> 
> 
> <SNIP>
> 
>>Cheers/2
>>
>>Ed.
> 
> 
> Hi Ed,
> 
> I disagree, Cable Select does work.!
> 
> I am running two Pentium 4 systems and one Pentium 3 and ALL are
> on cable select.  To work, you must have a good motherboard AND
> an 80 wire IDE cable. All computers here have two hard drives on
> the first IDE channel and Cable Select works perfectly.
> 
>
The example given here is an old board with IDE not highspeed config, so 
I would expect the 40 wire cable.

Maybe Cable select has been fixed in the latest hi-speed IDE 
incarnations, but I certainly had several occasions on OS/2 systems 
where CS did not work reliably, especially, as I said when different 
drive manufacturers were involved.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Sat, 26 Feb 2005 23:22:02 +0000
From:  Alan Duval <amoht at ozemail dot com dot au>
Subject:  Re:  Chipsets

Robert Traynor (BobT) wrote:

>Hi Alan,
>
>In addition to Ed's comments I would also point out that older motherboards
>were also known to have different chipsets on each of the two IDE channels.
>
>
>
>  
>
Hi Bob,

My MB has an VIA Apollo Pro133 Chipset: Features the VIA VT82C693A 
system controller and VIA VT82C596B PCI to ISA bridge with support for 
AGP 2x mode; 133/100/66MHz Front Side Bus (FSB); and UltraDMA/66 / 
UltraDMA/33.

UltraDMA/66 Support: Comes with an onboard PCI Bus Master IDE controller 
with two connectors that support four IDE devices on two channels. 
Supports UltraDMA/66, UltraDMA33, PIO Modes 3 & 4 and Bus Master IDE DMA 
Mode 2 and Enhanced IDE devices such as DVD-ROM, CD-ROM, CD-R/RW, 
LS-120, and Tape Backup drives.

Don't see any mention of a different chipset for the secondary master.

Regards,

Alan

----------------------------------------------------------------------------------